#include "gp/tagfs/tagfs.hpp"
#include "test_scaffold.h"

#include <random>
#include <string>


struct tagfs_test : public test_scaffold {
	tagfs_test() {
		name = __FILE__ ":1";
	}

	virtual int run() {
		bool result = true;
		// auto disk = std::move(std::make_unique<gp::memory_vdisk<128*1025>>());
		auto disk = new gp::memory_vdisk<128*1025>();
		auto fs = gp::tagfs<gp::memory_vdisk<128*1025>*>{std::forward<gp::memory_vdisk<128*1025>*>(disk)};
		fs.format();
		return !result;
	}
};

append_test dummy_56d46qds(new tagfs_test{});